Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1222531 - kBuild FTBFS for ppc64le archi
Summary: kBuild FTBFS for ppc64le archi
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kBuild
Version: 27
Hardware: ppc64le
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2015-05-18 12:57 UTC by Michel Normand
Modified: 2018-01-01 22:19 UTC (History)
4 users (show)

Fixed In Version: 0.1.9998-5.r2784.fc21 kBuild-0.1.9998-16.r3127.fc27
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-01 22:19:50 UTC
Type: Bug


Attachments (Terms of Use)
kBuild-0.1.9998-ppc64le.patch (2.87 KB, patch)
2015-05-18 12:58 UTC, Michel Normand
no flags Details | Diff

Description Michel Normand 2015-05-18 12:57:33 UTC
kBuild FTBFS for ppc64le archi

kBuild do not build for ppc64le arch
===
+ kBuild/env.sh --full make -f bootstrap.gmk -j16 'CFLAGS=-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mcpu=power7 -mtune=power8' KBUILD_VERBOSE=2 KBUILD_VERSION_PATCH=9998
kBuild/env.sh: unknown cpu/arch - ppc64le
error: Bad exit status from /var/tmp/rpm-tmp.8JvJvh (%build)
===

Steps to Reproduce:
1. fedpkg clone -a 
2. fedpkg prep
3. mock kBuild


Additional info:
the attached patch allow to build for ppc64/ppc64le arch as per scratch build:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2496889

Comment 1 Michel Normand 2015-05-18 12:58:26 UTC
Created attachment 1026696 [details]
kBuild-0.1.9998-ppc64le.patch

Comment 2 Sergio Basto 2015-05-19 13:23:53 UTC
I have to review all kBuild patches and updates since last year. I try upstream all the patches [1] , but upstream is very slow ... 
I could take sometime , this is a urgent request ? or can wait some weeks ? 


[1] http://trac.netlabs.org/kbuild/ticket/122

Comment 3 Michel Normand 2015-05-19 13:44:17 UTC
(In reply to Sergio Monteiro Basto from comment #2)
> I have to review all kBuild patches and updates since last year. I try
> upstream all the patches [1] , but upstream is very slow ... 
> I could take sometime , this is a urgent request ? or can wait some weeks ? 
> 
> 
> [1] http://trac.netlabs.org/kbuild/ticket/122

I can wait

Comment 4 Lubomir Rintel 2015-05-22 08:30:37 UTC
(In reply to Sergio Monteiro Basto from comment #2)
> I have to review all kBuild patches and updates since last year. I try
> upstream all the patches [1] , but upstream is very slow ... 
> I could take sometime , this is a urgent request ? or can wait some weeks ? 
> 
> 
> [1] http://trac.netlabs.org/kbuild/ticket/122

Sergio, thanks for doing that. Would I mind if I changed the primary contact for kBuild in pkgdb to you?

Comment 5 Sergio Basto 2015-05-23 20:52:25 UTC
(In reply to Lubomir Rintel from comment #4)
> Sergio, thanks for doing that. Would I mind if I changed the primary contact
> for kBuild in pkgdb to you?

Would be an honor , I request admin access to be easier . 

Thanks,

Comment 6 Fedora Admin XMLRPC Client 2015-05-24 20:12:44 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Sergio Basto 2015-06-22 03:55:52 UTC
Hi, 
on https://build.opensuse.org/package/view_file/devel:tools:building 

They update the ppc64le patch [1] , I'm going to apply this new patch on rawhide. What do you think about this new patch ? looks well ? 


[1] https://build.opensuse.org/package/view_file/devel:tools:building/kbuild/ppc64le.patch?expand=1

Comment 8 Lubomir Rintel 2015-06-22 10:06:43 UTC
Looks fine to me.

Comment 9 Fedora Update System 2015-06-22 16:52:08 UTC
kBuild-0.1.9998-5.r2784.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kBuild-0.1.9998-5.r2784.fc22

Comment 10 Fedora Update System 2015-06-24 16:05:32 UTC
Package kBuild-0.1.9998-5.r2784.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kBuild-0.1.9998-5.r2784.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10635/kBuild-0.1.9998-5.r2784.fc22
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-07-15 05:13:38 UTC
kBuild-0.1.9998-5.r2784.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kBuild-0.1.9998-5.r2784.fc21

Comment 12 Fedora Update System 2015-07-30 00:38:12 UTC
kBuild-0.1.9998-5.r2784.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-09-16 23:18:19 UTC
kBuild-0.1.9998-5.r2784.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Sergio Basto 2017-08-06 03:11:15 UTC
Hello , recent changes on kBuild makes that we need refactor these patches [2], any help is appreciate [1] 

Cheers,

[1]
http://trac.netlabs.org/kbuild/ticket/128#comment:2
http://trac.netlabs.org/kbuild/ticket/118#comment:2

[2] 

https://koji.fedoraproject.org/koji/taskinfo?taskID=20992024

Comment 15 Jan Kurik 2017-08-15 07:41:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 16 Fedora Update System 2017-12-03 15:34:21 UTC
kBuild-0.1.9998-16.r3127.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-26e23ec773

Comment 17 Fedora Update System 2017-12-03 22:02:25 UTC
kBuild-0.1.9998-16.r3127.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-26e23ec773

Comment 18 Fedora Update System 2018-01-01 22:19:50 UTC
kBuild-0.1.9998-16.r3127.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.